Bug 2726 - [doc bug] incorrect explanation of priority level in FAQ
[doc bug] incorrect explanation of priority level in FAQ
Status: RESOLVED FIXED
Product: Log4j
Classification: Unclassified
Component: Other
unspecified
Other other
: P3 minor
: ---
Assigned To: log4j-dev
http://jakarta.apache.org/log4j/docs/...
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2001-07-21 00:51 UTC by James Manning
Modified: 2004-11-16 19:05 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description James Manning 2001-07-21 00:51:52 UTC
To quote:

For example, setting the threshold of an appender to DEBUG also allow INFO, 
WARN, ERROR and FATAL messages to log along with DEBUG messages. (DEBUG is the 
lowest priority). This is usually acceptable as there is little use for DEBUG 
messages without the surrounding INFO, WARN, ERROR and FATAL messages. 
Similarly, setting the threshold of an appender to ERROR will filter out DEBUG, 
INFO and ERROR messages but not FATAL messages. 

The last sentence is incorrect, as setting the threshold to ERROR does *not* 
filter out ERROR at all.  It should instead read something like:

Similarly, setting the threshold of an appender to ERROR will filter out DEBUG, 
INFO, and WARNING messages but not ERROR or FATAL messages.
Comment 1 Ceki Gulcu 2002-05-07 23:23:09 UTC
You are absolutely right. Just fixed the bug.